Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.put-envelope-workflow-definition ​

Updates the specified envelope's workflow. You can use this endpoint to add scheduled sending to a draft envelope. You can also update the scheduled sending for a sent envelope if the scheduled sending countdown is in progress. In that case, the envelope will be reset to a draft state. You can also add delayed routing to a draft envelope or a sent envelope that has not started workflow processing.

Updates the workflow definition for an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
currentworkflowstepidstringNo—The workflowStepId of the current step. This is not an index into the workflowSteps array in this object. See the workflowStep object.
resumedatestringNo—The ISO 8601 timestamp of when the envelope is scheduled to be sent, if applicable. Its value is the maximum of the resumeDate property on scheduledSending and the resumeDate property on the current workflowStep. This property is read-only.
scheduledsendingjsonNo—A complex element that specifies the scheduled sending settings for the envelope.
workflowstatusstringNo—The status of the workflow: - paused if the workflow is paused - in_progress if the workflow is in progress
workflowstepslistNo—An array of workflow steps.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
currentworkflowstepidstringNo—The workflowStepId of the current step. This is not an index into the workflowSteps array in this object. See the workflowStep object.
resumedatestringNo—The ISO 8601 timestamp of when the envelope is scheduled to be sent, if applicable. Its value is the maximum of the resumeDate property on scheduledSending and the resumeDate property on the current workflowStep. This property is read-only.
scheduledsendingjsonNo—A complex element that specifies the scheduled sending settings for the envelope.
workflowstatusstringNo—The status of the workflow: - paused if the workflow is paused - in_progress if the workflow is in progress
workflowstepslistNo—An array of workflow steps.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.put-envelope-workflow-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}